import './theme/main'
import Button from './packages/button';

const components = {
  Button
};

const install = function(Vue, opts = {}) {
  //注册全局组件
  Object.keys(components).map(key => {
    const componentItem = components[key];
    Vue.component(componentItem.name, componentItem);
  });
};


if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
};

export default Object.assign(components, {install});
